Bug 59901 - Permissions Problem During Configuration
Permissions Problem During Configuration
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: LPRng (Show other bugs)
6.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Brock Organ
ftp://ftp.rpmfind.net/linux/redhat/7....
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-14 12:41 EST by Kurt Kaiser
Modified: 2007-04-18 12:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-15 12:52:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Kaiser 2002-02-14 12:41:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.5-15 i686)

Description of problem:
/dev/lp0 is root.daemon on 6.0, at least.
LPRng is being built with lp as the user.  
Adding lp to the daemon group allows lp access to the lp0 device, but not within
LPRng. It seems like LPRng doesn't pay attention to the user's supplemental
groups.  Of course, I don't know what I'm talking about here, but that's the
superficial appearance ;)

Version-Release number of selected component (if applicable): 3.7.4-28.src.rpm


How reproducible:
Always

Steps to Reproduce:
1. Build from .src.rpm on RH6.0, install the binary RPM
2. Run checkpc as root or attempt to start lpd

		

Actual Results:  lpd denied access to /dev/lp0.  Ditto checkpc -f when run as
root.

It was necessary to  chown root:lp  /dev/lp0

This is not documented.

Expected Results:  no error

Additional info:

In addtion, there is a problem with permissions on the /var/spool/lpd .

This was made worse by apsfilter, which sets 600 permissions in the
subdirectories it creates.  With  root:lp  owner, checkpc -f will not work even
when run as root.  It was necessary to   chown -R lp:lp /var/spool/lpd  to get
things working.

None of this is difficult once you understand it, but I wasted quite a few
hours, which could have been avoided with an INSTALL.redhat  explanation of the
required permissions or by rpm setting necessary permissions during package
installation.
Comment 1 Tim Waugh 2002-02-15 06:28:58 EST
Um.. we didn't ship LPRng with Red Hat Linux 6.0..
Comment 2 Kurt Kaiser 2002-02-15 12:51:56 EST
Your response is unsatisfactory.  I'm well aware that LPRng is not part of 6.0
or 6.2.   However, it is very common (and recommended on rpm-list) to add
updated packages to earlier RH releases by building from the .src.rpm.  There is
no reason that RH shouldn't add a little documentation that would make it easier
to do so.  With the change I'm suggesting, LPRng works great with 6.0/6.2.

Or do you just blow off the people who want to run earlier RH versions, like
Microsoft does?

I assume from your comment that the permissions in RH7.0 + for /dev/lp0  are
root:lp and the install problem doesn't occur?
Comment 3 Tim Waugh 2002-02-15 13:09:18 EST
> I assume from your comment that the permissions in RH7.0 + for /dev/lp0  are
> root:lp and the install problem doesn't occur?

Correct.

Note You need to log in before you can comment on or make changes to this bug.